

@set resp=\b\res\
@set btime=\b\bat\bmp_time.bat
@if "%1"=="" goto main
@cd \b\time\files
@echo %1 %2 %3 %4 %5 %6 %7 %8 %9  >>%resp%%1.tim
@set p3=%3
@set p4=%4
@set p5=%5
@set p6=%6
@if "%3"=="-" set p3=
@if "%4"=="-" set p4=
@if "%5"=="-" set p5=
@if "%6"=="23" goto do23
@set px=%1
@if "%1"=="pkzip" set px=pkunzip
@if "%1"=="dc" set p6=
@if "%1"=="abc13" set p6=
@if "%1"=="abc24" set p6=

copy %7 nul
delay.com
time <%btime%
time <%btime%			  >>%resp%%1.tim
upct %1 %2 %p3% %p4% %p5% %p6% %7 >>%resp%%1.tim
time <%btime%			  >>%resp%%1.tim
echo %1 %2 %p3% %p4% %p5% %p6% %7 >>%resp%%1.tim

@set p6=%6
@if "%1"=="al"   set p6=%9
@if "%1"=="bmf"  set p6=%9
@if "%1"=="bmfc" set p6=%9
@dir %p6%		>>%resp%%1.tim
@move %p6% ..
@cd ..
@if "%1"=="al"   set p6=
@if "%1"=="bmf"  set p6=
@if "%1"=="bmfc" set p6=

@set p9=%9
@if "%1"=="dc" set p9=
delay.com
time <%btime%
time <%btime%		>>%resp%%1.tim
upct %px% %8 %p6% %p9%	>>%resp%%1.tim
time <%btime%		>>%resp%%1.tim
echo %px% %8 %p6% %p9%	>>%resp%%1.tim

fc/b files\*.* *.*	>>%resp%%1.fc
del ?*.*
goto end


@rem         If no parameters given - MAIN process starts
:main
d:
goto conti
call %btime%  qlfc      a   -    -        -    !t1.gq   *.bmp       x  *.*
call %btime%  gcac      a   -    -        -    !t1.gca  *.bmp       e  *.*
call %btime%  gcac      s   -    -        -    !t2.gca  *.bmp       e  *.*
call %btime%  ace32     a   -      -      -    !t0.ace  *.bmp       x  *.*
call %btime%  ace32     a   -d4096 -      -    !t1.ace  *.bmp       x  *.*
call %btime%  ace32     a   -d4096 -m1    -    !t2.ace  *.bmp       x  *.*
call %btime%  ace32     a   -d4096 -m5    -    !t3.ace  *.bmp       x  *.*
call %btime%  ace32     a   -d4096 -      -s-  !t4.ace  *.bmp       x  *.*
call %btime%  ace32     a   -d4096 -m1    -s-  !t5.ace  *.bmp       x  *.*
call %btime%  ace32     a   -d4096 -m5    -s-  !t6.ace  *.bmp       x  *.*
call %btime%  ace       a   -d4096 -      -    !t9.ace  *.bmp       x  *.*
call %btime%  al       ---n -      -      -    -o       *.bmp      -w *.png
call %btime%  al       ---n 0      -      -    -o       *.bmp      -w *.png
call %btime%  al       ---n 1      -      -    -o       *.bmp      -w *.png
call %btime%  al       ---n 2      -      -    -o       *.bmp      -w *.png
call %btime%  al       ---n 3      -      -    -o       *.bmp      -w *.png
call %btime%  al       ---n 4      -      -    -o       *.bmp      -w *.png
call %btime%  compcl    c   -b15   -      -    !t0.car  *.bmp       e
call %btime%  compcl    c   -b15   -s     -    tt1.car  *.bmp       e
call %btime%  arh       a   -      -      -    !t1.lg   *.bmp       x  *.*
call %btime%  arh       a   -mm    -1     -    !t2.lg   *.bmp       x  *.*
call %btime%  arh       a   -mm    -2     -    !t3.lg   *.bmp       x  *.*
call %btime%  arh       a   -mm    -1     -2   !t4.lg   *.bmp       x  *.*
call %btime%  bmf      -f   -      -      -    -f       *.bmp      -w *.bmf
call %btime%  bmf      -f   -      -q9    -    -f       *.bmp      -w *.bmf
call %btime%  bmf      -f   -s     -      -    -f       *.bmp      -w *.bmf
call %btime%  bmf      -f   -s     -q9    -    -f       *.bmp      -w *.bmf
call %btime%  dc        e   -      -      -  files.dc   *.bmp       x
call %btime%  dc        e -b16300  -      -  files.dc   *.bmp       x
call %btime%  dc        e -b16300  -mb5   -  files.dc   *.bmp       x
call %btime%  eri       a   -3h13  -      -    !e0.eri  *.bmp       x  *.*
call %btime%  eri       a   -3f13  -      -    !e1.eri  *.bmp       x  *.*
call %btime%  eri       a   -3e13  -      -    !e2.eri  *.bmp       x  *.*
call %btime%  eri       a   -3e13  -h90   -    !e3.eri  *.bmp       x  *.*
call %btime%  imp98     a   -      -      -    !t-.imp  *.bmp       e  *.*
call %btime%  imp98     a   -      -m3    -    !tm.imp  *.bmp       e  *.*
call %btime%  imp98     a   -mm    -      -    !t0.imp  *.bmp       e  *.*
call %btime%  imp98     a   -mm    -m3    -    !t1.imp  *.bmp       e  *.*
call %btime%  imp98     a   -mm    -2     -    !t2.imp  *.bmp       e  *.*
call %btime%  imp98     a   -mm    -s4    -    !t3.imp  *.bmp       e  *.*
call %btime%  imp98     a   -2     -s4    -    !t4.imp  *.bmp       e  *.*
call %btime%  imp       a   -2     -s4    -    !td.imp  *.bmp       e  *.*
call %btime%  pkzip    -es  -      -      -    !t1.zip  *.bmp      -e  *.*
call %btime%  pkzip    -a   -      -      -    !t2.zip  *.bmp      -e  *.*
call %btime%  pkzip    -exx -      -      -    !t3.zip  *.bmp      -e  *.*
call %btime%  pkzipc   -add -      -      -    !t1.zip  *.bmp     -ext *.*
call %btime%  pkzipc   -add -max   -      -    !t2.zip  *.bmp     -ext *.*
call %btime%  pkzipc   -add -      -defl  -    !t3.zip  *.bmp     -ext *.*
call %btime%  pkzipc   -add -max   -defl  -    !t4.zip  *.bmp     -ext *.*
call %btime%  rk       -mf1 -      -      -    !f1.rk   *.bmp      -x  *.*
call %btime%  rk       -mf2 -      -      -    !f2.rk   *.bmp      -x  *.*
call %btime%  rk       -mf3 -      -      -    !f3.rk   *.bmp      -x  *.*
call %btime%  rk       -mx1 -      -      -    !x1.rk   *.bmp      -x  *.*
call %btime%  rk       -mx2 -      -      -    !x2.rk   *.bmp      -x  *.*
call %btime%  rk       -mx3 -      -      -    !x3.rk   *.bmp      -x  *.*
call %btime%  sbc       c   -m1    -b63    -   !t0.sbc  *.bmp       x
call %btime%  sbc       c   -m2    -b63    -   !t1.sbc  *.bmp       x
call %btime%  sbc       c   -m3    -b63    -   !t2.sbc  *.bmp       x
call %btime%  sbc       c   -m3    -b63    -ad !t3.sbc  *.bmp       x
call %btime%  sbc       c   -m3    -b63    -oa !t4.sbc  *.bmp       x
call %btime%  sbc       c   -m3    -b63    -on !t5.sbc  *.bmp       x
call %btime%  sbc       c   -m3    -b63    -os !t6.sbc  *.bmp       x
call %btime%  sbc       c   -m3    -       -os !t7.sbc  *.bmp       x
call %btime%  zzip      a   -      -      -    !t1.zz   *.bmp       x
call %btime%  zzip      a   -mm    -      -    !t2.zz   *.bmp       x
call %btime%  zzip      a   -mm    -mx    -    !t3.zz   *.bmp       x
call %btime%  zzip      a   -mm    -mx    -26m !t4.zz   *.bmp       x
call %btime%  zzip      a   -mm    -      -26m !t5.zz   *.bmp       x
call %btime%  abc13     -c  -      -      -      *.abc  *.bmp      -e  bmp
call %btime%  abc24     -c  -      -      -      *.abc  *.bmp      -e  bmp
call %btime%  uharc     a   -m1    -md32768 -  !u6.uha  *.bmp       x  *.*
call %btime%  uharc     a   -mz    -md32768 -  !u9.uha  *.bmp       x  *.*
call %btime%  uharc     a   -mx    -md32768 -  !u0.uha  *.bmp       x  *.*
call %btime%  uhic      -   e      -      -    23        .bmp       d  .uhi
call %btime%  uhic      -   m      -      -    23        .bmp       d  .uhi


:conti
call %btime%  call grzip2.bat e    -m1    -    23        .bmp       d  .gr1
call %btime%  call grzip2.bat e    -m2    -    23        .bmp       d  .gr2
call %btime%  call grzip2.bat e    -m3    -    23        .bmp       d  .gr3
call %btime%  call grzip2.bat e    -m4    -    23        .bmp       d  .gr4
call %btime%  call grzip2.bat e    -l     -    23        .bmp       d  .g1l
call %btime%  call grzip2.bat e    -p     -    23        .bmp       d  .g1p
call %btime%  call uhb30.bat  e    -m1    -    23        .bmp       d  .uh1
call %btime%  call uhb30.bat  e    -m2    -    23        .bmp       d  .uh2
call %btime%  call uhb30.bat  e    -m3    -    23        .bmp       d  .uh3
call %btime%  bmfc     -e0  -      -      -    -e0      *.bmp     -e0 *.bmf
call %btime%  slim      a   -      -w21   -    !s1.fb   *.bmp       x  *.*
call %btime%  slim      a   -i3    -w21   -    !s2.fb   *.bmp       x  *.*
call %btime%  slim      a   -      -w21   -d16 !s3.fb   *.bmp       x  *.*
call %btime%  slim      a   -i3    -w21   -d16 !s4.fb   *.bmp       x  *.*
call %btime%  epm9      -   c009   -      -    23        .bmp       d009 .epm
call %btime%  epm9      -   c012   -      -    23        .bmp       d012 .epm
call %btime%  epm9      -   c015   -      -    23        .bmp       d015 .epm
call %btime%  epm9      -   c018   -      -    23        .bmp       d018 .epm
call %btime%  7za       a   -      -tzip  -    !71.zip  *.bmp       x  *.*
call %btime%  7za       a   -mx    -tzip  -    !72.zip  *.bmp       x  *.*
call %btime%  7za       a   -      -t7z   -    !73.zip  *.bmp       x  *.*
call %btime%  7za       a   -mx    -t7z   -    !74.zip  *.bmp       x  *.*
call %btime%  bee       a   -      -      -    !t1.bee  *.bmp       x  *.*
call %btime%  bee       a   -m3    -      -    !t2.bee  *.bmp       x  *.*
call %btime%  bee       a   -      -d6    -    !t3.bee  *.bmp       x  *.*
call %btime%  bee       a   -m3    -d6    -    !t4.bee  *.bmp       x  *.*
call %btime%  rar       a   -m1    -      -    !t1.rar  *.bmp       x  *.*
call %btime%  rar       a   -m2    -      -    !t2.rar  *.bmp       x  *.*
call %btime%  rar       a   -m3    -      -    !t3.rar  *.bmp       x  *.*
call %btime%  rar       a   -m4    -      -    !t4.rar  *.bmp       x  *.*
call %btime%  rar       a   -m5    -      -    !t5.rar  *.bmp       x  *.*
call %btime%  rar       a   -m1    -mcc+  -    !f1.rar  *.bmp       x  *.*
call %btime%  rar       a   -m2    -mcc+  -    !f2.rar  *.bmp       x  *.*
call %btime%  rar       a   -m3    -mcc+  -    !f3.rar  *.bmp       x  *.*
call %btime%  rar       a   -m4    -mcc+  -    !f4.rar  *.bmp       x  *.*
call %btime%  rar       a   -m5    -mcc+  -    !f5.rar  *.bmp       x  *.*
call %btime%  rar       a   -m1    -mcc+  -s   !s1.rar  *.bmp       x  *.*
call %btime%  rar       a   -m2    -mcc+  -s   !s2.rar  *.bmp       x  *.*
call %btime%  rar       a   -m3    -mcc+  -s   !s3.rar  *.bmp       x  *.*
call %btime%  rar       a   -m4    -mcc+  -s   !s4.rar  *.bmp       x  *.*
call %btime%  rar       a   -m5    -mcc+  -s   !s5.rar  *.bmp       x  *.*
call %btime%  rar32     a   -m5    -mcc+  -s   !sd.rar  *.bmp       x  *.*
@goto end

@cd \b\time\files
al -k *.bmp
ren *.pnm *.ppm
del *.bmp
goto btpc

call %btime%  display   -  -bpng   -i  --same  23        .bmp    -bbmp .png


@cd \b\time\files
display -i --same -btga *.bmp .
del *.bmp
call %btime%  rkim      -   c      -      -    23        .tga       e  .rki
call %btime%  rkim      -   cx     -      -    23        .tga       e  .rki


@cd \b\time\files
display -i --same -bpng *.tga .
del *.tga
call %btime%  pngcrush  -   -q     -      -    23        .png       e  .pnc
call %btime%  pngc-mmx  -   -q     -      -    23        .png       e  .pnc
call %btime%  pngc-mmx  -   -q     -loco  -    23        .png       e  .pnc
call %btime%  pngc-mmx  -   -q     -brute -    23        .png       e  .pnc


@cd \b\time\files
al -k *.png
ren *.pnm *.ppm
del *.png
call %btime%  call loco.bat locoe  -c1    -    23        .ppm    locod .lo1
call %btime%  call loco.bat locoe  -c2    -    23        .ppm    locod .lo2
call %btime%  call  lsp.bat  e     --     -    23        .ppm      d   .lsp
call %btime%  call  lsp.bat  e     -f     -    23        .ppm      d   .lsp
call %btime%  call  lsp.bat  e     -g     -    23        .ppm      d   .lsp
call %btime%  call  lsp.bat  e     -fg    -    23        .ppm      d   .lsp
:btpc
call %btime%  call btpc.bat cbtpc  -      -    23        .ppm    dbtpc .btp
goto end



:do23
@set p2=%2
@if "%2"=="-" set p2=

copy kodak*%7 nul
delay.com
time <%btime%
time <%btime%                              >>%resp%%1.tim
%1 %p2% %p3% %p4% %p5% kodak01%7 kodak01%9 >>%resp%%1.tim
%1 %p2% %p3% %p4% %p5% kodak02%7 kodak02%9 >>%resp%%1.tim
%1 %p2% %p3% %p4% %p5% kodak03%7 kodak03%9 >>%resp%%1.tim
%1 %p2% %p3% %p4% %p5% kodak04%7 kodak04%9 >>%resp%%1.tim
%1 %p2% %p3% %p4% %p5% kodak05%7 kodak05%9 >>%resp%%1.tim
%1 %p2% %p3% %p4% %p5% kodak06%7 kodak06%9 >>%resp%%1.tim
%1 %p2% %p3% %p4% %p5% kodak07%7 kodak07%9 >>%resp%%1.tim
%1 %p2% %p3% %p4% %p5% kodak08%7 kodak08%9 >>%resp%%1.tim
%1 %p2% %p3% %p4% %p5% kodak09%7 kodak09%9 >>%resp%%1.tim
%1 %p2% %p3% %p4% %p5% kodak10%7 kodak10%9 >>%resp%%1.tim
%1 %p2% %p3% %p4% %p5% kodak11%7 kodak11%9 >>%resp%%1.tim
%1 %p2% %p3% %p4% %p5% kodak12%7 kodak12%9 >>%resp%%1.tim
%1 %p2% %p3% %p4% %p5% kodak13%7 kodak13%9 >>%resp%%1.tim
%1 %p2% %p3% %p4% %p5% kodak14%7 kodak14%9 >>%resp%%1.tim
%1 %p2% %p3% %p4% %p5% kodak15%7 kodak15%9 >>%resp%%1.tim
%1 %p2% %p3% %p4% %p5% kodak16%7 kodak16%9 >>%resp%%1.tim
%1 %p2% %p3% %p4% %p5% kodak17%7 kodak17%9 >>%resp%%1.tim
%1 %p2% %p3% %p4% %p5% kodak18%7 kodak18%9 >>%resp%%1.tim
%1 %p2% %p3% %p4% %p5% kodak19%7 kodak19%9 >>%resp%%1.tim
%1 %p2% %p3% %p4% %p5% kodak20%7 kodak20%9 >>%resp%%1.tim
%1 %p2% %p3% %p4% %p5% kodak21%7 kodak21%9 >>%resp%%1.tim
%1 %p2% %p3% %p4% %p5% kodak22%7 kodak22%9 >>%resp%%1.tim
%1 %p2% %p3% %p4% %p5% kodak23%7 kodak23%9 >>%resp%%1.tim
%1 %p2% %p3% %p4% %p5% kodak24%7 kodak24%9 >>%resp%%1.tim
time <%btime%				   >>%resp%%1.tim

@dir *%9		>>%resp%%1.tim
@move *%9 ..
@cd ..

delay.com
time <%btime%
time <%btime%                              >>%resp%%1.tim
%1 %p2%  %8  %p4% %p5% kodak01%9 kodak01%7 >>%resp%%1.tim
%1 %p2%  %8  %p4% %p5% kodak02%9 kodak02%7 >>%resp%%1.tim
%1 %p2%  %8  %p4% %p5% kodak03%9 kodak03%7 >>%resp%%1.tim
%1 %p2%  %8  %p4% %p5% kodak04%9 kodak04%7 >>%resp%%1.tim
%1 %p2%  %8  %p4% %p5% kodak05%9 kodak05%7 >>%resp%%1.tim
%1 %p2%  %8  %p4% %p5% kodak06%9 kodak06%7 >>%resp%%1.tim
%1 %p2%  %8  %p4% %p5% kodak07%9 kodak07%7 >>%resp%%1.tim
%1 %p2%  %8  %p4% %p5% kodak08%9 kodak08%7 >>%resp%%1.tim
%1 %p2%  %8  %p4% %p5% kodak09%9 kodak09%7 >>%resp%%1.tim
%1 %p2%  %8  %p4% %p5% kodak10%9 kodak10%7 >>%resp%%1.tim
%1 %p2%  %8  %p4% %p5% kodak11%9 kodak11%7 >>%resp%%1.tim
%1 %p2%  %8  %p4% %p5% kodak12%9 kodak12%7 >>%resp%%1.tim
%1 %p2%  %8  %p4% %p5% kodak13%9 kodak13%7 >>%resp%%1.tim
%1 %p2%  %8  %p4% %p5% kodak14%9 kodak14%7 >>%resp%%1.tim
%1 %p2%  %8  %p4% %p5% kodak15%9 kodak15%7 >>%resp%%1.tim
%1 %p2%  %8  %p4% %p5% kodak16%9 kodak16%7 >>%resp%%1.tim
%1 %p2%  %8  %p4% %p5% kodak17%9 kodak17%7 >>%resp%%1.tim
%1 %p2%  %8  %p4% %p5% kodak18%9 kodak18%7 >>%resp%%1.tim
%1 %p2%  %8  %p4% %p5% kodak19%9 kodak19%7 >>%resp%%1.tim
%1 %p2%  %8  %p4% %p5% kodak20%9 kodak20%7 >>%resp%%1.tim
%1 %p2%  %8  %p4% %p5% kodak21%9 kodak21%7 >>%resp%%1.tim
%1 %p2%  %8  %p4% %p5% kodak22%9 kodak22%7 >>%resp%%1.tim
%1 %p2%  %8  %p4% %p5% kodak23%9 kodak23%7 >>%resp%%1.tim
%1 %p2%  %8  %p4% %p5% kodak24%9 kodak24%7 >>%resp%%1.tim
time <%btime%				   >>%resp%%1.tim

fc/b files\*.* *.*	>>%resp%%1.fc
del ?*.*

:end
